{% extends "base.html.twig" %}
{% block topbar %}
    {{parent()}}
    {% include 'topbar/topbar2.html.twig' with {'topbar2': 2}%}
{% endblock %}
{% block body %}
    <h3 style="border-bottom: 1px solid lightgray; padding-left: 25px; padding-bottom: 10px">Liste des sinistres de l'affaire</h3>
    <div class="container-fluid">
        <table class="table table-striped table-hover">
            <thead>
                <tr>
                    <th style="width: 50px !important">#</th>
                    <th>Statut</th>
                    <th>Date</th>
                    <th>Réf Asqua</th>
                    <th>Réf expert / avocat</th>
                    <th>Libelle</th>
                    <th>Commune</th>
                    <th>Etat</th>
                </tr>
            </thead>
            <tbody>
                {% for sinistre in sinistres %}
                    <tr class='row_click' id_sinistre='{{ sinistre.id }}'>
                        <td>{{sinistre.num_chrono}}</td>
                        <td>
                            {% if sinistre.statut == 1 %}DO{% endif %}
                            {% if sinistre.statut == 2 %}Av1{% endif %}
                            {% if sinistre.statut == 3 %}Judiciaire{% endif %}
                            {% if sinistre.statut == 4 %}Autre{% endif %}
                        </td>
                        <td>{{sinistre.date_declaration|date('d/m/Y')}}</td>
                        <td>{{sinistre.ref_asqua}}</td>
                        <td>
                            {% if sinistre.statut == 1 %}{{sinistre.do.ref_dossier_expert}}{% endif %}
                            {% if sinistre.statut == 2 %}{{sinistre.av1.ref_dossier_expert}}{% endif %}
                            {% if sinistre.statut == 3 %}{{sinistre.judiciaire.ref_dossier_avocat}}{% endif %}
                            {% if sinistre.statut == 4 %}{{sinistre.amiable.ref_dossier_expert_compagnie}}{% endif %}
                        </td>
                        <td>{% if sinistre.description_qc %}{{sinistre.description_qc}}{% elseif sinistre.description %}{{sinistre.description}}{% endif %}</td>
                        <td>{{sinistre.adresse.commune}} - {{sinistre.adresse.cp }}</td>
                        <td>{% if sinistre.flag_sinistre_desactive == 0 %}<span class="label label-info">En cours</span>{% endif %}
                            {% if sinistre.flag_sinistre_desactive == 2 %}<span class="label label-warning">Clos</span>{% endif %}
                        </td>
                    </tr>
                {% endfor %}
                {% for rp in rps %}
                    <tr class='row_click' id_sinistre='{{ rp.id }}'>
                        <td>{{rp.num_chrono}}</td>
                        <td>
                            RP
                        </td>
                        <td>{{rp.date_declaration|date('d/m/Y')}}</td>
                        <td>{{rp.ref_asqua}}</td>
                        <td>{% if rp.description_qc %}{{rp.description_qc}}{% elseif rp.description %}{{rp.description}}{% endif %}</td>
                        <td>{{rp.adresse.commune}} - {{rp.adresse.cp }}</td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
    <style>
        .row_click {
            cursor: pointer;
        }
    </style>
    <script>
        $(document).ready(function () {
            $('.row_click').click(function () {
                var id_sin = $(this).attr("id_sinistre");
                location.href = AJAXPATH + "/sinistre_c/index/" + id_sin;
            });
        });
    </script>
{% endblock %}